<?php
$construction_hub_tp_theme_css = '';

// Theme color
$construction_hub_tp_color_option = get_theme_mod('construction_hub_tp_color_option', '#e8151b');
if ($construction_hub_tp_color_option) {
    $construction_hub_tp_theme_css .= ':root {';
    $construction_hub_tp_theme_css .= '--color-primary1: ' . esc_attr($construction_hub_tp_color_option) . ';';
    $construction_hub_tp_theme_css .= '}';
}

// ======================= Slider Content Layout ===================== //
$construction_hub_slider_content_layout = get_theme_mod('construction_hub_slider_content_layout', 'CENTER-ALIGN'); 
$construction_hub_tp_theme_css .= '#slider .carousel-caption {';
switch ($construction_hub_slider_content_layout) {
    case 'LEFT-ALIGN':
        $construction_hub_tp_theme_css .= 'text-align:left; right: 35%; left: 20%;';
        break;
    case 'CENTER-ALIGN':
        $construction_hub_tp_theme_css .= 'text-align:center; left: 25%; right: 25%;';
        break;
    case 'RIGHT-ALIGN':
        $construction_hub_tp_theme_css .= 'text-align:right; left: 35%; right: 20%;';
        break;
    default:
        $construction_hub_tp_theme_css .= 'text-align:left; right: 35%; left: 20%;';
        break;
}
$construction_hub_tp_theme_css .= '}';

// menu color
$construction_hub_menu_color = get_theme_mod('construction_hub_menu_color');
if($construction_hub_menu_color != false){
$construction_hub_tp_theme_css .='.main-navigation a{';
$construction_hub_tp_theme_css .='color: '.esc_attr($construction_hub_menu_color).';';
$construction_hub_tp_theme_css .='}';
}

// About Section ANimation
$construction_engineering_service_sec_animation = get_theme_mod( 'construction_engineering_service_sec_animation', true );
if ( $construction_engineering_service_sec_animation ) {
    $construction_hub_tp_theme_css .= '#our_services { animation: bounceInDown 3s; animation-fill-mode: both; }';
}
